Trigger Delivery Note Workflow Event
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/workflow-events/{workflowEventId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/workflow-events/{workflowEventId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/workflow-events/{workflowEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Delivery Note
Trigger Delivery Note Workflow Event
Triggers a specific workflow event for a given delivery note.
POST
/
v2
/
delivery-notes
/
{deliveryNoteId}
/
workflow-events
/
{workflowEventId}
Trigger Delivery Note Workflow Event
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the event that should be started. 1 = Created, 2 = Deleted, 3 = Shipped
Available options:
1, 2, 3 The ID of the delivery note for which the workflow event should be started.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Was this page helpful?
⌘I